% makefigFEXT.m

load mats/samFEXTsim2
FEXTbr = Jbrmtx;
FEXTbr2 = BRP;
load mats/samrunJvsT6

% plot bit rate vs. time
Ts = 246.4 * 10^(-6);  % symbol duration, including CP
figure(3);
clf;
set(0,'DefaultAxesFontSize',16);
plot(1:kmax,BRP/Ts,'b-',...
   1:kmax,FEXTbr2/Ts,'r-.',...
   [0:kmax/10:kmax],BR_mel(plotme)/Ts*ones(11,1),'k--',...
   [0:kmax/10:kmax],BR_MFB(plotme)/Ts*ones(11,1),'kd-',...
   'LineWidth',2);
%plot([1:kmax]/M,BRP/Ts,'b-',...
%   [0:kmax/10:kmax]/M,BR_mel(plotme)/Ts*ones(11,1),'k--',...
%   [0:kmax/10:kmax]/M,BR_MFB(plotme)/Ts*ones(11,1),'kd-',...
%   'LineWidth',2);
title('bit rate vs. iteration number','FontSize',16);
xlabel(xstr,'FontSize',16);
%xlabel('symbol number','FontSize',16);
ylabel('bits per second','FontSize',16);
legend('SAM (white noise)','SAM (NEXT noise)','MSSNR','MFB',0);
yax = axis;
axis([0 kmax 0 yax(4)]);
%axis([0 kmax/M 0 yax(4)]);
grid on

load mats/samrunJvsT7

% plot bit rates vs. SNR
figure(6);
clf
set(0,'DefaultAxesFontSize',16);
plot(SNRs,Jbrmtx/Ts,'b-',...
     SNRs,FEXTbr/Ts,'r-.',...
     SNRs,BR_mel/Ts,'k--',...
     SNRs,BR_MFB/Ts,'kd-','LineWidth',2);
title('achievable bit rate','FontSize',16);
xlabel('SNR, in dB','FontSize',16);
ylabel('bits per second','FontSize',16);
legend('SAM (white noise)','SAM (NEXT noise)','MSSNR','MFB',2);
grid on

