load mats/samFEXTsim1.mat; BRP1 = BRP;
load mats/samFEXTsim2.mat; BRP2 = BRP;
load mats/samrunJvsT6.mat; BRP3 = BRP;
load mats/samrunJvsT7.mat; BRP4 = BRP;

load mats/samrunJvsT6

% plot SAM cost vs. time 
figure(1);
clf;
set(0,'DefaultAxesFontSize',16);
%semilogy(1:kmax,JsamP,'b-','LineWidth',2);
loglog(1:kmax,JsamP,'b-','LineWidth',2);
title('SAM cost vs. iteration number','FontSize',16);
xlabel(xstr,'FontSize',16);
ylabel('J_S_A_M','FontSize',16);
axis([0 kmax 1e-11 1e-4]);
grid on

% plot bit rate vs. time
Ts = 246.4 * 10^(-6);  % symbol duration, including CP
figure(2);
clf;
set(0,'DefaultAxesFontSize',16);
plot(1:kmax,BRP3/Ts,'b-',...
   1:kmax,BRP2/Ts,'b-.',...
   linspace(0,kmax,11),BR_mel(plotme)/Ts*ones(11,1),'k--',...
   linspace(0,kmax,11),BR_MFB(plotme)/Ts*ones(11,1),'kd-',...
   'LineWidth',2);
title('bit rate vs. iteration number','FontSize',16);
xlabel(xstr,'FontSize',16);
%xlabel('symbol number','FontSize',16);
ylabel('bits per second','FontSize',16);
legend('SAM','MSSNR','MFB',0);
yax = axis;
axis([0 kmax 0 yax(4)]);   
%axis([0 kmax/M 0 yax(4)]);
grid on

% plot bit rate vs. time
Ts = 246.4 * 10^(-6);  % symbol duration, including CP
figure(3);
clf;
set(0,'DefaultAxesFontSize',16);
semilogx(1:kmax,BRP3/Ts,'b-',...
   1:kmax,BRP2/Ts,'b-.',...
   logspace(0,log10(kmax),11),BR_mel(plotme)/Ts*ones(11,1),'k--',...
   logspace(0,log10(kmax),11),BR_MFB(plotme)/Ts*ones(11,1),'kd-',...
   'LineWidth',2);
%plot([1:kmax]/M,BRP/Ts,'b-',...
%   [0:kmax/10:kmax]/M,BR_mel(plotme)/Ts*ones(11,1),'k--',...
%   [0:kmax/10:kmax]/M,BR_MFB(plotme)/Ts*ones(11,1),'kd-',...
%   'LineWidth',2);
title('bit rate vs. iteration number','FontSize',16);
xlabel(xstr,'FontSize',16);
%xlabel('symbol number','FontSize',16);
ylabel('bits per second','FontSize',16);
legend('SAM (white noise)','SAM (NEXT noise)','MSSNR','MFB',0);
yax = axis;
axis([0 kmax 0 yax(4)]);   
%axis([0 kmax/M 0 yax(4)]);
grid on

if 0

figure(1); print -depsc samcost.eps
figure(3); print -depsc samBR.eps

end
